# `MPICH_jll.jl` (v4.0.1+0)

[![deps](https://juliahub.com/docs/MPICH_jll/deps.svg)](https://juliahub.com/ui/Packages/MPICH_jll/vDjle?page=2)

This is an autogenerated package constructed using [`BinaryBuilder.jl`](https://github.com/JuliaPackaging/BinaryBuilder.jl).

The originating [`build_tarballs.jl`](https://github.com/JuliaPackaging/Yggdrasil/blob/09f5b1c1773b5c2da1466bd95ce8ca9eecb9f2a7/M/MPICH/build_tarballs.jl) script can be found on [`Yggdrasil`](https://github.com/JuliaPackaging/Yggdrasil/), the community build tree.")

## Bug Reports

If you have any issue, please report it to the Yggdrasil [bug tracker](https://github.com/JuliaPackaging/Yggdrasil/issues).

## Documentation

For more details about JLL packages and how to use them, see `BinaryBuilder.jl` [documentation](https://docs.binarybuilder.org/stable/jll/).

## Sources

The tarballs for `MPICH_jll.jl` have been built from these sources:

* compressed archive: https://www.mpich.org/static/downloads/4.0.1/mpich-4.0.1.tar.gz (SHA256 checksum: `66a1fe8052734af2eb52f47808c4dfef4010ceac461cb93c42b99acfb1a43687`)
* compressed archive: https://github.com/eschnett/MPIconstants/archive/refs/tags/v1.4.0.tar.gz (SHA256 checksum: `610d816c22cd05e16e17371c6384e0b6f9d3a2bdcb311824d0d40790812882fc`)
* files in directory, relative to originating `build_tarballs.jl`: [`./bundled`](https://github.com/JuliaPackaging/Yggdrasil/tree/09f5b1c1773b5c2da1466bd95ce8ca9eecb9f2a7/M/MPICH/bundled)

## Platforms

`MPICH_jll.jl` is available for the following platforms:

* `macOS aarch64 {libgfortran_version=5.0.0}` (`aarch64-apple-darwin-libgfortran5`)
* `Linux aarch64 {libc=glibc, libgfortran_version=3.0.0}` (`aarch64-linux-gnu-libgfortran3`)
* `Linux aarch64 {libc=glibc, libgfortran_version=4.0.0}` (`aarch64-linux-gnu-libgfortran4`)
* `Linux aarch64 {libc=glibc, libgfortran_version=5.0.0}` (`aarch64-linux-gnu-libgfortran5`)
* `Linux aarch64 {libc=musl, libgfortran_version=3.0.0}` (`aarch64-linux-musl-libgfortran3`)
* `Linux aarch64 {libc=musl, libgfortran_version=4.0.0}` (`aarch64-linux-musl-libgfortran4`)
* `Linux aarch64 {libc=musl, libgfortran_version=5.0.0}` (`aarch64-linux-musl-libgfortran5`)
* `Linux armv6l {call_abi=eabihf, libc=glibc, libgfortran_version=3.0.0}` (`armv6l-linux-gnueabihf-libgfortran3`)
* `Linux armv6l {call_abi=eabihf, libc=glibc, libgfortran_version=4.0.0}` (`armv6l-linux-gnueabihf-libgfortran4`)
* `Linux armv6l {call_abi=eabihf, libc=glibc, libgfortran_version=5.0.0}` (`armv6l-linux-gnueabihf-libgfortran5`)
* `Linux armv6l {call_abi=eabihf, libc=musl, libgfortran_version=3.0.0}` (`armv6l-linux-musleabihf-libgfortran3`)
* `Linux armv6l {call_abi=eabihf, libc=musl, libgfortran_version=4.0.0}` (`armv6l-linux-musleabihf-libgfortran4`)
* `Linux armv6l {call_abi=eabihf, libc=musl, libgfortran_version=5.0.0}` (`armv6l-linux-musleabihf-libgfortran5`)
* `Linux armv7l {call_abi=eabihf, libc=glibc, libgfortran_version=3.0.0}` (`armv7l-linux-gnueabihf-libgfortran3`)
* `Linux armv7l {call_abi=eabihf, libc=glibc, libgfortran_version=4.0.0}` (`armv7l-linux-gnueabihf-libgfortran4`)
* `Linux armv7l {call_abi=eabihf, libc=glibc, libgfortran_version=5.0.0}` (`armv7l-linux-gnueabihf-libgfortran5`)
* `Linux armv7l {call_abi=eabihf, libc=musl, libgfortran_version=3.0.0}` (`armv7l-linux-musleabihf-libgfortran3`)
* `Linux armv7l {call_abi=eabihf, libc=musl, libgfortran_version=4.0.0}` (`armv7l-linux-musleabihf-libgfortran4`)
* `Linux armv7l {call_abi=eabihf, libc=musl, libgfortran_version=5.0.0}` (`armv7l-linux-musleabihf-libgfortran5`)
* `Linux i686 {libc=glibc, libgfortran_version=3.0.0}` (`i686-linux-gnu-libgfortran3`)
* `Linux i686 {libc=glibc, libgfortran_version=4.0.0}` (`i686-linux-gnu-libgfortran4`)
* `Linux i686 {libc=glibc, libgfortran_version=5.0.0}` (`i686-linux-gnu-libgfortran5`)
* `Linux i686 {libc=musl, libgfortran_version=3.0.0}` (`i686-linux-musl-libgfortran3`)
* `Linux i686 {libc=musl, libgfortran_version=4.0.0}` (`i686-linux-musl-libgfortran4`)
* `Linux i686 {libc=musl, libgfortran_version=5.0.0}` (`i686-linux-musl-libgfortran5`)
* `Linux powerpc64le {libc=glibc, libgfortran_version=3.0.0}` (`powerpc64le-linux-gnu-libgfortran3`)
* `Linux powerpc64le {libc=glibc, libgfortran_version=4.0.0}` (`powerpc64le-linux-gnu-libgfortran4`)
* `Linux powerpc64le {libc=glibc, libgfortran_version=5.0.0}` (`powerpc64le-linux-gnu-libgfortran5`)
* `macOS x86_64 {libgfortran_version=3.0.0}` (`x86_64-apple-darwin-libgfortran3`)
* `macOS x86_64 {libgfortran_version=4.0.0}` (`x86_64-apple-darwin-libgfortran4`)
* `macOS x86_64 {libgfortran_version=5.0.0}` (`x86_64-apple-darwin-libgfortran5`)
* `Linux x86_64 {libc=glibc, libgfortran_version=3.0.0}` (`x86_64-linux-gnu-libgfortran3`)
* `Linux x86_64 {libc=glibc, libgfortran_version=4.0.0}` (`x86_64-linux-gnu-libgfortran4`)
* `Linux x86_64 {libc=glibc, libgfortran_version=5.0.0}` (`x86_64-linux-gnu-libgfortran5`)
* `Linux x86_64 {libc=musl, libgfortran_version=3.0.0}` (`x86_64-linux-musl-libgfortran3`)
* `Linux x86_64 {libc=musl, libgfortran_version=4.0.0}` (`x86_64-linux-musl-libgfortran4`)
* `Linux x86_64 {libc=musl, libgfortran_version=5.0.0}` (`x86_64-linux-musl-libgfortran5`)
* `FreeBSD x86_64 {libgfortran_version=3.0.0}` (`x86_64-unknown-freebsd-libgfortran3`)
* `FreeBSD x86_64 {libgfortran_version=4.0.0}` (`x86_64-unknown-freebsd-libgfortran4`)
* `FreeBSD x86_64 {libgfortran_version=5.0.0}` (`x86_64-unknown-freebsd-libgfortran5`)

## Dependencies

The following JLL packages are required by `MPICH_jll.jl`:

* [`CompilerSupportLibraries_jll`](https://github.com/JuliaBinaryWrappers/CompilerSupportLibraries_jll.jl)

## Products

The code bindings within this package are autogenerated from the following `Products`:

* `LibraryProduct`: `libload_time_mpi_constants`
* `LibraryProduct`: `libmpi`
* `LibraryProduct`: `libmpicxx`
* `LibraryProduct`: `libmpifort`
* `ExecutableProduct`: `generate_compile_time_mpi_constants`
* `ExecutableProduct`: `mpiexec`
